Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::DnsInfo Struct Reference

DNS info. More...

`import <Net.idl;`

## Public Attributes
vector< string > | serverAddrs
| List of active domain name server addresses.
vector< string > | searchSuffixes
| List of active domain search suffixes.
boolean | resolverPrefersIPv6
| Resolver should prefer IPv6 addresses.

## Detailed Description

DNS info.

Definition at line 84 of file Net.idl.

## Member Data Documentation

## ◆ resolverPrefersIPv6

boolean net::DnsInfo::resolverPrefersIPv6

Resolver should prefer IPv6 addresses.

Definition at line 87 of file Net.idl.

## ◆ searchSuffixes

vector<string> net::DnsInfo::searchSuffixes

List of active domain search suffixes.

Definition at line 86 of file Net.idl.

## ◆ serverAddrs

vector<string> net::DnsInfo::serverAddrs

List of active domain name server addresses.

Definition at line 85 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl